OpenObserve Docs
ReferenceApiSearch

Search around

Endpoint: GET /api/{organization}/{stream}/_values?fields={fields}&start_time={start_time}&end_time={end_time}&size=10&keyword=&no_count=false

Request

Description

Field nameData typeDefault valueDescription
streamstring-stream name
fieldsstring-the fields you want to get values, field1,field2
sizeint640how many values do you want to response, order by values num
start_timeint640Only list the values in the time range
end_timeint640Only list the values in the time range
keywordstring-search for the values
no_countboolfalseset to true will not response count and order by the value

Response

{
	"took": 155,
	"hits": [
		{
			"field": "field name",
			"values": [
				{
                    "zo_sql_key": "value1",
                    "zo_sql_num": 2070
                }
			]
		}
	],
	"total": 10,
	"from": 0,
	"size": 0,
	"scan_size": 28943
}

Response description:

Description

Field nameData typeDefault valueDescription
tookint64-unit: milliseconds, query execute time
fromint640value from query.from
sizeint640value from query.size
scan_sizeint640unit: MB, it response the data size scale when execute the query.
hitsarray-records for query, each record is a log row what you ingested.
Was this page helpful?

Last updated on

On this page